Test::Int::BinPacking::LoadBinAssignment Class Reference

Generate load and bin assignments. More...

## Public Member Functions

| LoadBinAssignment (int m, const Gecode::IntSet &d_m, int n, const Gecode::IntSet &d_n, int l)
| Initialize assignments for load and bin variables.
virtual bool | operator() (void) const
| Test whether all assignments have been iterated.
virtual void | operator++ (void)
| Move to next assignment.
virtual int | operator[] (int i) const
| Return value for variable i.
virtual | ~LoadBinAssignment (void)
| Destructor.
Public Member Functions inherited from Test::Int::Assignment
| Assignment (int n0, const Gecode::IntSet &d0)
| Initialize assignments for n0 variables and values d0.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Protected Attributes

int | n_bins
| Number of bins.
int | n_items
| Number of items.
Gecode::IntSet | d_load
| Domain for load variables.
Gecode::IntSet | d_bin
| Domain for bin variables.
int | load
| Load to generate (unless -1).
Gecode::IntSetValues * | dsv
| Iterator for each variable.
Protected Attributes inherited from Test::Int::Assignment
int | n
| Number of variables.
Gecode::IntSet | d
| Domain for each variable.

## Detailed Description

Generate load and bin assignments.

Definition at line 50 of file bin-packing.cpp.

## Constructor & Destructor Documentation

## LoadBinAssignment()

Test::Int::BinPacking::LoadBinAssignment::LoadBinAssignment | ( | int | m,
|  | const Gecode::IntSet & | d_m,
|  | int | n,
|  | const Gecode::IntSet & | d_n,
|  | int | l )

inline

Initialize assignments for load and bin variables.

Definition at line 66 of file bin-packing.cpp.

## ~LoadBinAssignment()

virtual Test::Int::BinPacking::LoadBinAssignment::~LoadBinAssignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 119 of file bin-packing.cpp.

## Member Function Documentation

## operator()()

virtual bool Test::Int::BinPacking::LoadBinAssignment::operator() | ( | void |  | ) | const

inline virtual

Test whether all assignments have been iterated.

Implements Test::Int::Assignment.

Definition at line 78 of file bin-packing.cpp.

## operator++()

virtual void Test::Int::BinPacking::LoadBinAssignment::operator++ | ( | void |  | ) |

inline virtual

Move to next assignment.

Implements Test::Int::Assignment.

Definition at line 82 of file bin-packing.cpp.

## operator[]()

virtual int Test::Int::BinPacking::LoadBinAssignment::operator[] | ( | int | i | ) | const

inline virtual

Return value for variable i.

Implements Test::Int::Assignment.

Definition at line 114 of file bin-packing.cpp.

## Member Data Documentation

## n_bins

int Test::Int::BinPacking::LoadBinAssignment::n_bins

protected

Number of bins.

Definition at line 53 of file bin-packing.cpp.

## n_items

int Test::Int::BinPacking::LoadBinAssignment::n_items

protected

Number of items.

Definition at line 55 of file bin-packing.cpp.

## d_load

Gecode::IntSet Test::Int::BinPacking::LoadBinAssignment::d_load

protected

Domain for load variables.

Definition at line 57 of file bin-packing.cpp.

## d_bin

Gecode::IntSet Test::Int::BinPacking::LoadBinAssignment::d_bin

protected

Domain for bin variables.

Definition at line 59 of file bin-packing.cpp.

## load

int Test::Int::BinPacking::LoadBinAssignment::load

protected

Load to generate (unless -1).

Definition at line 61 of file bin-packing.cpp.

## dsv

Gecode::IntSetValues* Test::Int::BinPacking::LoadBinAssignment::dsv

protected

Iterator for each variable.

Definition at line 63 of file bin-packing.cpp.

The documentation for this class was generated from the following file:

- test/int/bin-packing.cpp